# ArrayAccess::offsetExists

(PHP 5, PHP 7)

ArrayAccess::offsetExists — Whether an offset exists

### Description

abstract public ArrayAccess::offsetExists ( mixed `$offset` ) : bool

Whether or not an offset exists.

This method is executed when using isset() or empty() on objects implementing ArrayAccess.

> Note:

> When using empty() ArrayAccess::offsetGet() will be called and checked if empty only if ArrayAccess::offsetExists() returns `TRUE`.

### Parameters

`offset`

  An offset to check for.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

> Note:

> The return value will be casted to boolean if non-boolean was returned.

### Examples

Example #1 ArrayAccess::offsetExists() example

`<?php
class obj implements arrayaccess {
public function offsetSet($offset, $value) {
var_dump(__METHOD__);
}
public function offsetExists($var) {
var_dump(__METHOD__);
if ($var == "foobar") {
return true;
}
return false;
}
public function offsetUnset($var) {
var_dump(__METHOD__);
}
public function offsetGet($var) {
var_dump(__METHOD__);
return "value";
}
}
$obj = new obj;
echo "Runs obj::offsetExists()\n";
var_dump(isset($obj["foobar"]));
echo "\nRuns obj::offsetExists() and obj::offsetGet()\n";
var_dump(empty($obj["foobar"]));
echo "\nRuns obj::offsetExists(), *not* obj:offsetGet() as there is nothing to get\n";
var_dump(empty($obj["foobaz"]));
?>`

The above example will output something similar to:

    Runs obj::offsetExists()
    string(17) "obj::offsetExists"
    bool(true)

    Runs obj::offsetExists() and obj::offsetGet()
    string(17) "obj::offsetExists"
    string(14) "obj::offsetGet"
    bool(false)

    Runs obj::offsetExists(), *not* obj:offsetGet() as there is nothing to get
    string(17) "obj::offsetExists"
    bool(true)